import numpy as np
from scipy.integrate import odeint
import matplotlib.pyplot as plt


def izvodi(y, t):
    d = [2*y[0] - 0.001*y[0]*y[1],
         -10*y[1] + 0.002*y[0]*y[1]]
    return d


def main():
    t = np.linspace(0, 5, 200)
    y = odeint(izvodi, [5000, 100], t)
    plt.plot(t, y)
    plt.xlabel('t')
    plt.ylabel('y')
    plt.show()


main()
