import numpy as np


def rk4(f, a, b, y0, n):
    h = (b - a) / n
    m = len(y0)
    t = np.zeros((n + 1, 1))
    y = np.zeros((n + 1, m))
    y[0] = y0
    t[0] = a
    for i in range(n):
        k1 = h * f(t[i], y[i])
        k2 = h * f(t[i] + h/2, y[i] + k1/2)
        k3 = h * f(t[i] + h/2, y[i] + k2/2)
        k4 = h * f(t[i] + h, y[i] + k3)
        t[i + 1] = t[i] + h
        y[i + 1] = y[i] + (k1 + 2*k2 + 2*k3 + k4)/6
    return t, y
